<p>The following example of liveness and readiness probe configuration is needed in the next lecture:</p><pre class="prettyprint linenums">apiVersion: v1
kind: Pod
metadata:
  name: liveness-test-pod
spec:
  containers:
  - name: liveness-busybox
    image: busybox
    args:
    - /bin/sh
    - -c
    - touch /tmp/healthy; sleep 30; rm -rf /tmp/healthy; sleep 600
    livenessProbe:
      exec:
        command:
        - cat
        - /tmp/healthy
      initialDelaySeconds: 5
      periodSeconds: 5

---

apiVersion: apps/v1
kind: Deployment
metadata:
  name: rediness-test-nginx-deployment
  labels:
    app: nginx
spec:
  replicas: 3
  selector:
    matchLabels:
      app: nginx
  template:
    metadata:
      labels:
        app: nginx
    spec:
      containers:
      - name: readiness-nginx
        image: nginx:1.15.9
        ports:
        - containerPort: 80
        readinessProbe:
          httpGet:
            path: /
            port: 80
          initialDelaySeconds: 5
          periodSeconds: 5</pre>